org.jboss.resteasy.plugins.server.servlet

## Class FilterDispatcher

- java.lang.Object
- - org.jboss.resteasy.plugins.server.servlet.FilterDispatcher

- All Implemented Interfaces:
    javax.servlet.Filter, HttpRequestFactory, HttpResponseFactory
  Direct Known Subclasses:
    Filter30Dispatcher

      public class FilterDispatcher
      extends Object
      implements javax.servlet.Filter, HttpRequestFactory, HttpResponseFactory

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ServletContainerDispatcher` | `servletContainerDispatcher`
    `protected javax.servlet.ServletContext` | `servletContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterDispatcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpRequest` | `createResteasyHttpRequest(String httpMethod, javax.servlet.http.HttpServletRequest request, ResteasyHttpHeaders headers, ResteasyUriInfo uriInfo, HttpResponse theResponse, javax.servlet.http.HttpServletResponse response)`
    `HttpResponse` | `createResteasyHttpResponse(javax.servlet.http.HttpServletResponse response)`
    `void` | `destroy()`
    `void` | `doFilter(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, javax.servlet.FilterChain filterChain)`
    `Dispatcher` | `getDispatcher()`
    `void` | `init(javax.servlet.FilterConfig servletConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### servletContainerDispatcher

          protected ServletContainerDispatcher servletContainerDispatcher

    - #### servletContext

          protected javax.servlet.ServletContext servletContext

  - ### Constructor Detail

    - #### FilterDispatcher

          public FilterDispatcher()

  - ### Method Detail

    - #### getDispatcher

          public Dispatcher getDispatcher()

    - #### init

          public void init(javax.servlet.FilterConfig servletConfig)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Throws:
        `javax.servlet.ServletException`

    - #### createResteasyHttpRequest

          public HttpRequest createResteasyHttpRequest(String httpMethod,
                                              javax.servlet.http.HttpServletRequest request,
                                              ResteasyHttpHeaders headers,
                                              ResteasyUriInfo uriInfo,
                                              HttpResponse theResponse,
                                              javax.servlet.http.HttpServletResponse response)

      Specified by:
        `createResteasyHttpRequest` in interface `HttpRequestFactory`

    - #### createResteasyHttpResponse

          public HttpResponse createResteasyHttpResponse(javax.servlet.http.HttpServletResponse response)

      Specified by:
        `createResteasyHttpResponse` in interface `HttpResponseFactory`

    - #### doFilter

          public void doFilter(javax.servlet.ServletRequest servletRequest,
                      javax.servlet.ServletResponse servletResponse,
                      javax.servlet.FilterChain filterChain)
                        throws IOException,
                               javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Filter`

Copyright © 2014. All Rights Reserved.